Bug 487809 - (perl-HTML-LinkList) Review Request: perl-HTML-LinkList - Create a 'smart' list of HTML links
Review Request: perl-HTML-LinkList - Create a 'smart' list of HTML links
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/HTML-Link...
:
: 487851 1358937 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 18:00 EST by Chris Weyl
Modified: 2016-07-24 08:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-01 03:17:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-02-27 18:00:34 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-HTML-LinkList.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-HTML-LinkList-0.1503-1.fc10.src.rpm

Description:
This module contains a number of functions for taking sets of URLs and
labels and creating suitably formatted HTML. These links are "smart"
because, if given the url of the current page, if any of the links in
the list equal it, that item in the list will be formatted as a special
label, not as a link; this is a Good Thing, since the user would be
confused by clicking on a link back to the current page. While many
website systems have plugins for "smart" navbars, they are specialized
for that system only, and can't be reused elsewhere, forcing people to
reinvent the wheel. I hereby present one wheel, free to be reused by
anybody; just the simple functions, a backend, which can be plugged into
whatever system you want.The default format for the HTML is to make an
unordered list, but there are many options, enabling one to have a
flatter layout with any separators you desire, or a more complicated
list with differing formats for different levels.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1207061

*rt-0.05
Comment 1 Parag AN(पराग) 2009-02-27 21:49:04 EST
Review:
+ package builds in mock (rawhide i386).
koji build=> http://koji.fedoraproject.org/koji/taskinfo?taskID=1207061
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
57e79ea9a15e57864042d3645651530c  HTML-LinkList-0.1503.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=9, Tests=61,  1 wallclock secs ( 0.05 usr  0.02 sys +  1.05 cusr  0.09 csys =  1.21 CPU)
+ Package perl-HTML-LinkList-0.1503-1.fc11-noarch ->
Provides: perl(HTML::LinkList) = 0.1503
Requires: perl(Data::Dumper) perl(Exporter) perl(strict) perl(warnings)

 APPROVED.
Comment 2 Chris Weyl 2009-02-28 01:03:25 EST
New Package CVS Request
=======================
Package Name: perl-HTML-LinkList
Short Description: Create a 'smart' list of HTML links
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Iain Arnell 2009-02-28 04:42:54 EST
*** Bug 487851 has been marked as a duplicate of this bug. ***
Comment 4 Kevin Fenzi 2009-02-28 19:23:52 EST
cvs done.
Comment 5 Chris Weyl 2009-03-01 03:17:54 EST
Thanks for the review! :-)
Comment 6 Emmanuel Seyman 2016-07-24 08:54:20 EDT
*** Bug 1358937 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.